Bug 521674 - Perl modules are unversioned, but should carry version numbers
Summary: Perl modules are unversioned, but should carry version numbers
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 15:55 UTC by Richard W.M. Jones
Modified: 2011-07-14 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 19:11:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2009-09-07 15:55:02 UTC
Description of problem:

(See also bug 521319).

The Perl modules in libguestfs are unversioned.  This leads
to unversioned RPM dependencies:

$ rpm -qR perl-libguestfs
[...]
perl(Sys::Guestfs)  
[...]

Apparently we can solve this by putting a version number
into the module itself.

Version-Release number of selected component (if applicable):

1.0.68 and later.

How reproducible:


Steps to Reproduce:
1. rpm -qR perl-libguestfs | grep ::Guestfs
2. Check if the perl dep is versioned.
3.
  
Actual results:

$ rpm -qR perl-libguestfs | grep ::Guestfs
perl(Sys::Guestfs)

Expected results:

$ rpm -qR perl-libguestfs | grep ::Guestfs
perl(Sys::Guestfs) = 1.0.68   [or whatever]

Additional info:

https://bugzilla.redhat.com/show_bug.cgi?id=521319#c5

Comment 1 Richard W.M. Jones 2009-09-07 15:56:38 UTC
Sorry, was looking at the wrong deps.  Try this:

$ rpm -q --provides perl-libguestfs | grep ::Guestfs
perl(Sys::Guestfs)  
perl(Sys::Guestfs::Lib)

Comment 2 Richard W.M. Jones 2010-05-12 14:05:35 UTC
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-May/msg00056.html


Note You need to log in before you can comment on or make changes to this bug.